# Installation
> `npm install --save @types/random-seed`

# Summary
This package contains type definitions for random-seed (https://github.com/skratchdot/random-seed/).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/random-seed.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/random-seed/index.d.ts)
````ts
export interface RandomSeed {
    (range: number): number;
    range(range: number): number;
    random(): number;
    floatBetween(min: number, max: number): number;
    intBetween(min: number, max: number): number;

    string(count: number): string;
    seed(seed: string): void;

    cleanString(inStr: string): string;
    hashString(inStr: string): string;

    addEntropy(...args: any[]): void;
    initState(): void;

    done(): void;
}

export function create(seed?: string): RandomSeed;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: none

# Credits
These definitions were written by [Endel Dreyer](https://github.com/endel).
